Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.flash
Class MemoryHeapBlock

    java.lang.Object
      com.sun.squawk.flash.MemoryHeapBlock

All Implemented Interfaces:
  IMemoryHeapBlock

    public class MemoryHeapBlock

extends Object
implements IMemoryHeapBlock

Field Summary
`protected Address` | `address`
`protected byte[]` | `bytes`
`protected ByteArrayInputStreamWithSetBytes` | `bytesIn`
`protected DataInputStream` | `dataIn`
`protected boolean` | `isAllocated`
`protected int` | `length`
`protected int` | `nextBlockOffset`
`protected int` | `offset`

Constructor Summary
`MemoryHeapBlock()`

Method Summary
`Address` | `getAddress()`
`ByteArrayInputStreamWithSetBytes` | `getByteArrayInputStream()`
`byte[]` | `getBytes()`
`DataInputStream` | `getDataInputStream()`
`int` | `getLength()`
`int` | `getNextBlockOffset()`
`int` | `getOffset()`
`boolean` | `isAllocated()`
`void` | `resetBytes()`
`void` | `setAddress(Address address)`
`void` | `setBytes(byte[] bytes, int offset, int length)`
`void` | `setIsAllocated(boolean isAllocated)`
`void` | `setLength(int length)`
`void` | `setNextOffset(int offset)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### address

    protected Address address

### isAllocated

    protected boolean isAllocated

### nextBlockOffset

    protected int nextBlockOffset

### bytes

    protected byte[] bytes

### offset

    protected int offset

### length

    protected int length

### bytesIn

    protected ByteArrayInputStreamWithSetBytes bytesIn

### dataIn

    protected DataInputStream dataIn

Constructor Detail

### MemoryHeapBlock

    public MemoryHeapBlock()

Method Detail

### getByteArrayInputStream

    public ByteArrayInputStreamWithSetBytes getByteArrayInputStream()

  Specified by:
    `getByteArrayInputStream` in interface `IMemoryHeapBlock`

### getAddress

    public Address getAddress()

  Specified by:
    `getAddress` in interface `IMemoryHeapBlock`

### getBytes

    public byte[] getBytes()

  Specified by:
    `getBytes` in interface `IMemoryHeapBlock`

### getDataInputStream

    public DataInputStream getDataInputStream()

  Specified by:
    `getDataInputStream` in interface `IMemoryHeapBlock`

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `IMemoryHeapBlock`

### getNextBlockOffset

    public int getNextBlockOffset()

  Specified by:
    `getNextBlockOffset` in interface `IMemoryHeapBlock`

### getOffset

    public int getOffset()

  Specified by:
    `getOffset` in interface `IMemoryHeapBlock`

### isAllocated

    public boolean isAllocated()

  Specified by:
    `isAllocated` in interface `IMemoryHeapBlock`

### resetBytes

    public void resetBytes()

  Specified by:
    `resetBytes` in interface `IMemoryHeapBlock`

### setAddress

    public void setAddress(Address address)

  Specified by:
    `setAddress` in interface `IMemoryHeapBlock`

### setBytes

    public void setBytes(byte[] bytes,
                         int offset,
                         int length)

  Specified by:
    `setBytes` in interface `IMemoryHeapBlock`

### setLength

    public void setLength(int length)

  Specified by:
    `setLength` in interface `IMemoryHeapBlock`

### setIsAllocated

    public void setIsAllocated(boolean isAllocated)

  Specified by:
    `setIsAllocated` in interface `IMemoryHeapBlock`

### setNextOffset

    public void setNextOffset(int offset)

  Specified by:
    `setNextOffset` in interface `IMemoryHeapBlock`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"